﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Pragma.Clients.Core.Resources {
    using System;
    
    
    /// <summary>
    ///   Clase de recurso fuertemente tipado, para buscar cadenas traducidas, etc.
    /// </summary>
    // StronglyTypedResourceBuilder generó automáticamente esta clase
    // a través de una herramienta como ResGen o Visual Studio.
    // Para agregar o quitar un miembro, edite el archivo .ResX y, a continuación, vuelva a ejecutar ResGen
    // con la opción /str o recompile su proyecto de VS.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "17.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Messages {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Messages() {
        }
        
        /// <summary>
        ///   Devuelve la instancia de ResourceManager almacenada en caché utilizada por esta clase.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Pragma.Clients.Core.Resources.Messages", typeof(Messages).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Reemplaza la propiedad CurrentUICulture del subproceso actual para todas las
        ///   búsquedas de recursos mediante esta clase de recurso fuertemente tipado.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Busca una cadena traducida similar a A client with identification type &apos;{0}&apos; and identification number &apos;{1}&apos; already exists..
        /// </summary>
        internal static string DuplicatedItemExceptionMsg {
            get {
                return ResourceManager.GetString("DuplicatedItemExceptionMsg", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Busca una cadena traducida similar a Unknown identification type. ID types includes DNI, CC and NIT..
        /// </summary>
        internal static string InvalidIdentificationTypeExceptionMsg {
            get {
                return ResourceManager.GetString("InvalidIdentificationTypeExceptionMsg", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Busca una cadena traducida similar a The id is not valid. Only positive values are admited..
        /// </summary>
        internal static string InvalidIdentifierExceptionMsg {
            get {
                return ResourceManager.GetString("InvalidIdentifierExceptionMsg", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Busca una cadena traducida similar a A client with id &apos;{0}&apos; was not found..
        /// </summary>
        internal static string ItemNotFoundExceptionMsg {
            get {
                return ResourceManager.GetString("ItemNotFoundExceptionMsg", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Busca una cadena traducida similar a Page information is mandatory in order to get data..
        /// </summary>
        internal static string MandatoryPageInfoExceptionMsg {
            get {
                return ResourceManager.GetString("MandatoryPageInfoExceptionMsg", resourceCulture);
            }
        }
    }
}
